Bug 222869 - Segfault in nsAString_internal::Assign when link to PDF file clicked on
Segfault in nsAString_internal::Assign when link to PDF file clicked on
Product: Fedora
Classification: Fedora
Component: rssowl (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Anthony Green
Fedora Extras Quality Assurance
Depends On: 220797
  Show dependency treegraph
Reported: 2007-01-16 12:20 EST by Robin Green
Modified: 2008-01-03 14:23 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-03 14:23:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robin Green 2007-01-16 12:20:17 EST
Description of problem:
Crash or critical error when clicking a link to a PDF file.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Apply the patch to /usr/bin/rssowl in bug 220721
2. Start rssowl
3. Go to http://crookedtimber.org/2007/01/14/exxon-joins-the-real-world/ in the
Browser (e.g. by entering the URL in the Address bar and the clicking Open in
4. Click on the "Postscript" link in the body of the article.

Actual results:
The first time I got an Aborted at the bash prompt. So I reran rssowl and tried
to reproduce, and the second time I got a critical error dialog and then rssowl
shut down. Log file has this for the critical error:

16-Jan-07 4:24:25  net.sourceforge.rssowl.util.LoggerImpl logCritical
WARNING: Method: runEventLoop (Unforseen Exception) Exception: null
   at net.sourceforge.rssowl.controller.GUI.runEventLoop(rssowl.jar.so)
   at net.sourceforge.rssowl.controller.GUI.showGui(rssowl.jar.so)
   at net.sourceforge.rssowl.controller.RSSOwlLoader.<init>(rssowl.jar.so)
   at net.sourceforge.rssowl.controller.RSSOwlLoader.main(rssowl.jar.so)

Reran again in gdb and got this:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 46912496309056 (LWP 23288)]
0x00002aaab6516e91 in nsAString_internal::Assign (this=0x0, readable=@0x1165868)
at nsTAString.cpp:228
228         if (mVTable == obsolete_string_type::sCanonicalVTable)
(gdb) set pagination off
(gdb) bt
#0  0x00002aaab6516e91 in nsAString_internal::Assign (this=0x0,
readable=@0x1165868) at nsTAString.cpp:228
#1  0x00002aaabea944a7 in nsAString_internal::operator= (this=0x0,
readable=@0x1165868) at dist/include/string/nsTAString.h:389
#2  0x00002aaabea8d31b in nsExternalAppHandler::GetSuggestedFileName
(this=<value optimized out>, aSuggestedFileName=@0x2aaab6758e38) at
#3  0x00002aaaaf82688c in org.eclipse.swt.internal.mozilla.XPCOM.VtblCall(int,
long, long, boolean)int () at org/eclipse/swt/internal/mozilla/XPCOM.java:32
#4  0x00002aaaaf835b05 in
boolean)int (this=<value optimized out>, aNewFileLocation=0,
aRememberThisPreference=false) at
#5  0x00002aaaaf6c4ce7 in
org.eclipse.swt.browser.HelperAppLauncherDialog.Show(long, long, long)long
(this=<value optimized out>, aLauncher=18241560, aContext=<value optimized out>,
aForced=<value optimized out>) at
#6  0x00002aaaaf6c52ed in
(this=<value optimized out>, args=<value optimized out>) at
#7  0x00002aaaaf82c9a0 in
(callbackArgs=0x2aaab19de4e0) at
#8  0x0000003cff4e630c in ffi_call_unix64 () at ../libffi/src/x86/unix64.S:73
#9  0x0000003cff4e6198 in ffi_call (cif=0x7fff65cfc380, fn=0x2aaaaf82c8c0
rvalue=0x7fff65cfc3a0, avalue=0x7fff65cfc2b0) at ../libffi/src/x86/ffi64.c:428
#10 0x0000003cfedb58e5 in _Jv_CallAnyMethodA (obj=0x0, return_type=<value
optimized out>, meth=0x2aaaafc85a48, is_constructor=0 '\0', is_virtual_call=0
'\0', parameter_types=0x2aaac4aaa0a8, args=0x7fff65cfc410,
result=0x7fff65cfc440, is_jni_call=1 '\001', iface=0x0) at
#11 0x0000003cfed7810f in _Jv_JNI_CallAnyMethodV<__java_long, static_type>
(env=0x62f010, obj=0x0, klass=<value optimized out>, id=0x2aaaafc85a48,
vargs=<value optimized out>) at ../libjava/jni.cc:832
#12 0x0000003cfed7ab4b in _Jv_JNI_CallStaticMethod<__java_long> (env=0x0,
klass=0x0, id=0x2aaabecc3560) at ../libjava/jni.cc:1083
#13 0x00002aaab35703fb in callback () from /usr/lib64/libswt-gtk-3235.so
#14 0x00002aaabea9360a in nsExternalAppHandler::OnStartRequest (this=0x1165810,
request=0x2aaac2c7ffa4, aCtxt=<value optimized out>) at
#15 0x00002aaabea88f08 in nsDocumentOpenInfo::OnStartRequest (this=0x645f70,
request=0xedacc8, aCtxt=0x0) at nsURILoader.cpp:356
#16 0x00002aaac2c7a0f7 in nsHttpChannel::CallOnStartRequest (this=0xedac80) at
#17 0x00002aaac2c7a2d5 in nsHttpChannel::ProcessNormal (this=0xedac80) at
#18 0x00002aaac2c13268 in nsInputStreamPump::OnStateStart (this=0xed5e30) at
#19 0x00002aaac2c1353f in nsInputStreamPump::OnInputStreamReady (this=0xed5e30,
stream=0x1165868) at nsInputStreamPump.cpp:337
#20 0x00002aaab64ea2eb in nsInputStreamReadyEvent::EventHandler (plevent=<value
optimized out>) at nsStreamUtils.cpp:119
#21 0x00002aaab64fb2fd in PL_HandleEvent (self=0x0) at plevent.c:688
#22 0x00002aaab64fb50f in PL_ProcessPendingEvents (self=0x6fae60) at plevent.c:623
#23 0x00002aaab64fc7b1 in nsEventQueueImpl::ProcessPendingEvents (this=0x6ddc70)
at nsEventQueue.cpp:417
#24 0x00002aaac377528a in event_processor_callback (source=<value optimized
out>, condition=18241640, data=0x0) at nsAppShell.cpp:67
#25 0x0000003d0142cf44 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#26 0x0000003d0142fd7d in g_main_context_check () from /lib64/libglib-2.0.so.0
#27 0x0000003d014302ae in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#28 0x00002aaab1bc00df in
Java_org_eclipse_swt_internal_gtk_OS__1g_1main_1context_1iteration () from
#29 0x00002aaaaf782b76 in
org.eclipse.swt.internal.gtk.OS._g_main_context_iteration(long, boolean)boolean
() at org/eclipse/swt/internal/gtk/OS.java:1422
#30 0x00002aaaaf782bf3 in
org.eclipse.swt.internal.gtk.OS.g_main_context_iteration(long, boolean)boolean
(context=0, may_block=false) at org/eclipse/swt/internal/gtk/OS.java:1428
#31 0x00002aaaaf87c854 in
org.eclipse.swt.widgets.Display.readAndDispatch()boolean (this=<value optimized
out>) at org/eclipse/swt/widgets/Display.java:2840
#32 0x00002aaaaeb87cda in
net.sourceforge.rssowl.controller.GUI.runEventLoop()void () from
#33 0x00002aaaaeb886f2 in net.sourceforge.rssowl.controller.GUI.showGui()void ()
from /usr/lib64/gcj/rssowl/rssowl.jar.so
#34 0x00002aaaaebadbdf in
net.sourceforge.rssowl.controller.RSSOwlLoader.RSSOwlLoader() () from
#35 0x00002aaaaebadc2d in
net.sourceforge.rssowl.controller.RSSOwlLoader.main(java.lang.String[])void ()
from /usr/lib64/gcj/rssowl/rssowl.jar.so
#36 0x0000003cfeda41b3 in gnu::java::lang::MainThread::call_main
(this=0x2aaaae5f8f00) at ../libjava/gnu/java/lang/natMainThread.cc:50
#37 0x0000003cfedf925e in gnu.java.lang.MainThread.run()void
(this=0x2aaaae5f8f00) at ../libjava/gnu/java/lang/MainThread.java:108
#38 0x0000003cfedb2738 in _Jv_ThreadRun (thread=0x2aaaae5f8f00) at
#39 0x0000003cfed75a05 in _Jv_RunMain (vm_args=<value optimized out>,
klass=0x2aaaae5c6500, name=0x7fff65cfdad0
"net.sourceforge.rssowl.controller.RSSOwlLoader", argc=1, argv=0x7fff65cfd2b8,
is_jar=false) at ../libjava/prims.cc:1535
#40 0x0000003cfc800c1d in main (argc=5, argv=0x7fff65cfd298) at
#41 0x0000003cfb81da44 in __libc_start_main (main=0x400568 <main@plt>, argc=5,
ubp_av=0x7fff65cfd298, init=<value optimized out>, fini=<value optimized out>,
rtld_fini=<value optimized out>, stack_end=0x7fff65cfd288) at libc-start.c:231
#42 0x00000000004005c9 in _start ()

Expected results:
Save or Open dialog for PDF file.

Additional info:
This bug does not occur with the official RSSOwl release, using Mozilla as the
Comment 1 Anthony Green 2007-01-26 12:09:24 EST
I can't even test this because of bug 220797.
Comment 2 Andrew Overholt 2007-01-26 12:25:30 EST
This is probably something to do with our use of our firefox builds for the SWT
browser component and not an upstream download of firefox/mozilla.  Can this be
narrowed down any further so that we could try debugging it?
Comment 3 Anthony Green 2007-01-26 14:02:38 EST
(In reply to comment #2)
> This is probably something to do with our use of our firefox builds for the SWT
> browser component and not an upstream download of firefox/mozilla.  Can this be
> narrowed down any further so that we could try debugging it?

I'm not sure where to begin.  Maybe you can give me some pointers when we're
both in the Toronto office next week.
Comment 4 Anthony Green 2008-01-03 14:23:09 EST
RSSOwl is no longer part of Fedora due to dependency licensing problems.  I'm
closing this with WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.